Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.management
Interface KBaseConfigurationMonitorMBean

    public interface KBaseConfigurationMonitorMBean

Method Summary
`int` | `getAlphaNodeHashingThreshold()`
`String` | `getAssertBehaviour()`
`int` | `getCompositeKeyDepth()`
`String` | `getEventProcessingMode()`
`int` | `getMaxThreads()`
`String` | `getSequentialAgenda()`
`boolean` | `isAdvancedProcessRuleIntegration()`
`boolean` | `isIndexLeftBetaMemory()`
`boolean` | `isIndexRightBetaMemory()`
`boolean` | `isMaintainTms()`
`boolean` | `isMBeansEnabled()`
`boolean` | `isMultithreadEvaluation()`
`boolean` | `isRemoveIdentities()`
`boolean` | `isSequential()`
`boolean` | `isShareAlphaNodes()`
`boolean` | `isShareBetaNodes()`

Method Detail

### getAlphaNodeHashingThreshold

    int getAlphaNodeHashingThreshold()

### getAssertBehaviour

    String getAssertBehaviour()

### getCompositeKeyDepth

    int getCompositeKeyDepth()

### getEventProcessingMode

    String getEventProcessingMode()

### getMaxThreads

    int getMaxThreads()

### getSequentialAgenda

    String getSequentialAgenda()

### isAdvancedProcessRuleIntegration

    boolean isAdvancedProcessRuleIntegration()

### isIndexLeftBetaMemory

    boolean isIndexLeftBetaMemory()

### isIndexRightBetaMemory

    boolean isIndexRightBetaMemory()

### isMaintainTms

    boolean isMaintainTms()

### isMBeansEnabled

    boolean isMBeansEnabled()

### isMultithreadEvaluation

    boolean isMultithreadEvaluation()

### isRemoveIdentities

    boolean isRemoveIdentities()

### isSequential

    boolean isSequential()

### isShareAlphaNodes

    boolean isShareAlphaNodes()

### isShareBetaNodes

    boolean isShareBetaNodes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.